Admin A P I
List API keys
Returns a paginated list of application API keys.
GET
/api/admin/api-keysAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Query Parameters
filter[memo]?string
Filter keys by memo.
filter[identifier]?string
Filter keys by identifier.
sort?string
Sort keys by ID, memo, or creation date. Prefix with a hyphen for descending order.
page?integer
Page number to retrieve.
per_page?integer
Results to return per page.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/admin/api-keys?filter%5Bmemo%5D=Automation&filter%5Bidentifier%5D=ptla_1234567890abc&sort=-created_at&page=1&per_page=50"{ "object": "list", "data": [ { "object": "api_key", "attributes": { "identifier": "ptla_XXEfTMoV80W", "memo": "Test Function Key", "created_by": { "id": 1, "username": "admin", "email": "[email protected]" }, "last_used_at": "string", "created_at": "2026-09-22T14:45:26+00:00", "r_servers": 0, "r_nodes": 0, "r_allocations": 0, "r_users": 0, "r_locations": 0, "r_eggs": 0, "r_database_hosts": 0, "r_server_databases": 0 }, "meta": { "secret_token": "ptla_1234567890abcdef" } } ], "meta": { "pagination": { "total": 1, "count": 1, "per_page": 50, "current_page": 1, "total_pages": 1, "links": { "property1": "string", "property2": "string" } } }}